WebSphereEFixInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.websphere.WebSphereEFixInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.websphere
Interface WebSphereEFixInfo

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface WebSphereEFixInfo

extends LogicalElement

Represents a WebSphere Auth Mapping Module for a Connection pool

Naming Rules:
  0="parent,EFixId"
Persistable:
  true
Table Name:
  WASEFIX
Display Name:
  parent,EFixId

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBuildDate()`
`java.lang.String` | `getBuildVersion()`
`java.lang.String` | `getComponentName()`
`java.lang.String` | `getEFixId()`
`WebSphereServer` | `getParent()`
`java.lang.String` | `getShortDescription()`
`boolean` | `hasBuildDate()`
`boolean` | `hasBuildVersion()`
`boolean` | `hasComponentName()`
`boolean` | `hasEFixId()`
`boolean` | `hasParent()`
`boolean` | `hasShortDescription()`
`void` | `setBuildDate(java.lang.String bdate)`
`void` | `setBuildVersion(java.lang.String bvers)`
`void` | `setComponentName(java.lang.String cName)`
`void` | `setEFixId(java.lang.String eFixId)`
`void` | `setParent(WebSphereServer srv)`
`void` | `setShortDescription(java.lang.String desc)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getParent

    WebSphereServer getParent()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.InstalledOn" reverse="false"

### setParent

    void setParent(WebSphereServer srv)

### hasParent

    boolean hasParent()

### getEFixId

    java.lang.String getEFixId()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEFixId

    void setEFixId(java.lang.String eFixId)

### hasEFixId

    boolean hasEFixId()

### getShortDescription

    java.lang.String getShortDescription()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setShortDescription

    void setShortDescription(java.lang.String desc)

### hasShortDescription

    boolean hasShortDescription()

### getBuildVersion

    java.lang.String getBuildVersion()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBuildVersion

    void setBuildVersion(java.lang.String bvers)

### hasBuildVersion

    boolean hasBuildVersion()

### getBuildDate

    java.lang.String getBuildDate()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setBuildDate

    void setBuildDate(java.lang.String bdate)

### hasBuildDate

    boolean hasBuildDate()

### getComponentName

    java.lang.String getComponentName()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setComponentName

    void setComponentName(java.lang.String cName)

### hasComponentName

    boolean hasComponentName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD